0 Replies Latest reply on Jul 8, 2010 1:50 PM by Antonio Vlay

    Is Log4j Compatible With LGPLv2.1?

    Antonio Vlay Newbie

      Hi,
      I wonder if log4j license (Apache License Version 2.0) is compatible with LGPLv2.1


      I am using jboss-seam-2.2.0.GA, licensed under LGPLv2.1 and the lib directory includes log4j.jar file (log4j version 1.2.14).
      According to Apache website, Apache License Version 2.0 is incompatible with GPLv2.
      Can log4j be considered a system library?
      In my case, I have to release a GPLv2 project based on seam and log4j but I'm not sure if I can legally do that.


      Any help would be appreciated.


      Thanks,
      Antonio